%define origname cups-bjnp

Summary:	CUPS backend for the Canon BJNP network printers 
Name:		cups-drivers-bjnp
Version:	1.0
Release:	%mkrel 2
License:	GPLv2
Source:		http://downloads.sourceforge.net/%{origname}/%{origname}-%{version}.tar.gz
Group:		System/Printing
URL:		https://sourceforge.net/projects/cups-bjnp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	cups-devel
Requires:	cups

%description
This package contains a backend for CUPS for Canon printers using the 
proprietary BJNP network protocol.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure2_5x \
	--with-cupsbackenddir=%{_prefix}/lib/cups/backend
%make

%install
rm -fr %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install


%files
%doc COPYING ChangeLog TODO NEWS README
%{_prefix}/lib/cups/backend/bjnp





%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 348432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 doktor5000 <doktor5000> 1.0-1.mga2
+ Revision: 195437
- new version 1.0
- use %%configure2_5x instead of %%configure
- removed empty %%clean section and empty %%defattr

* Wed Feb 23 2011 ennael <ennael> 0.5.4-2.mga1
+ Revision: 57682
- imported package cups-drivers-bjnp

